FUNCTION::NS_SID(3stap)

NAME
function::ns_sid - Returns the session ID of the current process as seen in a pid namespace

SYNOPSIS

    ns_sid:long()

ARGUMENTS

None

DESCRIPTION

The namespace-aware session ID of a process is the process group ID of the session leader as seen in the target pid namespace if provided, or the stap process namespace. Session ID is stored in the signal_struct since Kernel 2.6.0.

SEE ALSO
tapset::context(3stap)